org.apache.sysds.hops

## Class MemoTable

- java.lang.Object
- - org.apache.sysds.hops.MemoTable

-     public class MemoTable
      extends Object

  Memoization Table (hop id, worst-case matrix characteristics).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extract(ArrayList<Hop> hops, RecompileStatus status)`
    `DataCharacteristics[]` | `getAllInputStats(ArrayList<Hop> inputs)`
    `DataCharacteristics` | `getAllInputStats(Hop input)`
    `boolean` | `hasInputStatistics(Hop h)`
    `void` | `init(ArrayList<Hop> hops, RecompileStatus status)`
    `void` | `init(Hop hop, RecompileStatus status)`
    `void` | `memoizeStatistics(long hopID, DataCharacteristics dc)`
    `void` | `memoizeStatistics(long hopID, long dim1, long dim2, long nnz)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoTable

          public MemoTable()

  - ### Method Detail

    - #### init

          public void init(ArrayList<Hop> hops,
                           RecompileStatus status)

    - #### init

          public void init(Hop hop,
                           RecompileStatus status)

    - #### extract

          public void extract(ArrayList<Hop> hops,
                              RecompileStatus status)

    - #### memoizeStatistics

          public void memoizeStatistics(long hopID,
                                        long dim1,
                                        long dim2,
                                        long nnz)

    - #### memoizeStatistics

          public void memoizeStatistics(long hopID,
                                        DataCharacteristics dc)

    - #### getAllInputStats

          public DataCharacteristics[] getAllInputStats(ArrayList<Hop> inputs)

    - #### getAllInputStats

          public DataCharacteristics getAllInputStats(Hop input)

    - #### hasInputStatistics

          public boolean hasInputStatistics(Hop h)

Copyright © 2021 The Apache Software Foundation. All rights reserved.